diff --git a/tests/unit/modules/test_virt.py b/tests/unit/modules/test_virt.py
index 3e9bd5ef49..d3988464f6 100644
--- a/tests/unit/modules/test_virt.py
+++ b/tests/unit/modules/test_virt.py
@@ -881,9 +1254,11 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 <target dev='hdc' bus='ide'/>
               </disk>
             </devices>
-        ''').findall('disk')
+        """
+        ).findall("disk")
 
-        new_disks = ET.fromstring('''
+        new_disks = ET.fromstring(
+            """
             <devices>
               <disk type='file' device='disk'>
                 <source file='/path/to/img3.qcow2'/>
@@ -901,35 +1276,63 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 <target dev='hda' bus='ide'/>
               </disk>
             </devices>
-        ''').findall('disk')
+        """
+        ).findall("disk")
         ret = virt._diff_disk_lists(old_disks, new_disks)
-        self.assertEqual([disk.find('source').get('file') if disk.find('source') is not None else None
-                          for disk in ret['unchanged']], [])
-        self.assertEqual([disk.find('source').get('file') if disk.find('source') is not None else None
-                          for disk in ret['new']],
-                         ['/path/to/img3.qcow2', '/path/to/img0.qcow2', '/path/to/img4.qcow2', None])
-        self.assertEqual([disk.find('target').get('dev') for disk in ret['sorted']],
-                         ['vda', 'vdb', 'vdc', 'hda'])
-        self.assertEqual([disk.find('source').get('file') if disk.find('source') is not None else None
-                          for disk in ret['sorted']],
-                         ['/path/to/img3.qcow2',
-                          '/path/to/img0.qcow2',
-                          '/path/to/img4.qcow2',
-                          None])
-        self.assertEqual(ret['new'][1].find('target').get('bus'), 'virtio')
-        self.assertEqual([disk.find('source').get('file') if disk.find('source') is not None else None
-                          for disk in ret['deleted']],
-                         ['/path/to/img0.qcow2',
-                          '/path/to/img1.qcow2',
-                          '/path/to/img2.qcow2',
-                          '/path/to/img4.qcow2',
-                          None])
+        self.assertEqual(
+            [
+                disk.find("source").get("file")
+                if disk.find("source") is not None
+                else None
+                for disk in ret["unchanged"]
+            ],
+            [],
+        )
+        self.assertEqual(
+            [
+                disk.find("source").get("file")
+                if disk.find("source") is not None
+                else None
+                for disk in ret["new"]
+            ],
+            ["/path/to/img3.qcow2", "/path/to/img0.qcow2", "/path/to/img4.qcow2", None],
+        )
+        self.assertEqual(
+            [disk.find("target").get("dev") for disk in ret["sorted"]],
+            ["vda", "vdb", "vdc", "hda"],
+        )
+        self.assertEqual(
+            [
+                disk.find("source").get("file")
+                if disk.find("source") is not None
+                else None
+                for disk in ret["sorted"]
+            ],
+            ["/path/to/img3.qcow2", "/path/to/img0.qcow2", "/path/to/img4.qcow2", None],
+        )
+        self.assertEqual(ret["new"][1].find("target").get("bus"), "virtio")
+        self.assertEqual(
+            [
+                disk.find("source").get("file")
+                if disk.find("source") is not None
+                else None
+                for disk in ret["deleted"]
+            ],
+            [
+                "/path/to/img0.qcow2",
+                "/path/to/img1.qcow2",
+                "/path/to/img2.qcow2",
+                "/path/to/img4.qcow2",
+                None,
+            ],
+        )
 
     def test_diff_nics(self):
-        '''
+        """
         Test virt._diff_nics()
-        '''
-        old_nics = ET.fromstring('''
+        """
+        old_nics = ET.fromstring(
+            """
             <devices>
                <interface type='network'>
                  <mac address='52:54:00:39:02:b1'/>
@@ -950,9 +1353,11 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                  <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
                </interface>
             </devices>
-        ''').findall('interface')
+        """
+        ).findall("interface")
 
-        new_nics = ET.fromstring('''
+        new_nics = ET.fromstring(
+            """
             <devices>
                <interface type='network'>
                  <mac address='52:54:00:39:02:b1'/>
@@ -970,20 +1375,27 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                  <model type='virtio'/>
                </interface>
             </devices>
-        ''').findall('interface')
+        """
+        ).findall("interface")
         ret = virt._diff_interface_lists(old_nics, new_nics)
-        self.assertEqual([nic.find('mac').get('address') for nic in ret['unchanged']],
-                         ['52:54:00:39:02:b1'])
-        self.assertEqual([nic.find('mac').get('address') for nic in ret['new']],
-                         ['52:54:00:39:02:b2', '52:54:00:39:02:b4'])
-        self.assertEqual([nic.find('mac').get('address') for nic in ret['deleted']],
-                         ['52:54:00:39:02:b2', '52:54:00:39:02:b3'])
+        self.assertEqual(
+            [nic.find("mac").get("address") for nic in ret["unchanged"]],
+            ["52:54:00:39:02:b1"],
+        )
+        self.assertEqual(
+            [nic.find("mac").get("address") for nic in ret["new"]],
+            ["52:54:00:39:02:b2", "52:54:00:39:02:b4"],
+        )
+        self.assertEqual(
+            [nic.find("mac").get("address") for nic in ret["deleted"]],
+            ["52:54:00:39:02:b2", "52:54:00:39:02:b3"],
+        )
 
     def test_init(self):
-        '''
+        """
         Test init() function
-        '''
-        xml = '''
+        """
+        xml = """
 <capabilities>
   <host>
     <uuid>44454c4c-3400-105a-8033-b3c04f4b344a</uuid>
@@ -1101,29 +1513,29 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
   </guest>
 
 </capabilities>
-        '''
+        """
         self.mock_conn.getCapabilities.return_value = xml  # pylint: disable=no-member
 
-        root_dir = os.path.join(salt.syspaths.ROOT_DIR, 'srv', 'salt-images')
+        root_dir = os.path.join(salt.syspaths.ROOT_DIR, "srv", "salt-images")
 
         defineMock = MagicMock(return_value=1)
         self.mock_conn.defineXML = defineMock
         mock_chmod = MagicMock()
         mock_run = MagicMock()
-        with patch.dict(os.__dict__, {'chmod': mock_chmod, 'makedirs': MagicMock()}):  # pylint: disable=no-member
-            with patch.dict(virt.__salt__, {'cmd.run': mock_run}):  # pylint: disable=no-member
+        with patch.dict(
+            os.__dict__, {"chmod": mock_chmod, "makedirs": MagicMock()}
+        ):  # pylint: disable=no-member
+            with patch.dict(
+                virt.__salt__, {"cmd.run": mock_run}
+            ):  # pylint: disable=no-member
 
                 # Ensure the init() function allows creating VM without NIC and disk
-                virt.init('test vm',
-                          2,
-                          1234,
-                          nic=None,
-                          disk=None,
-                          seed=False,
-                          start=False)
+                virt.init(
+                    "test vm", 2, 1234, nic=None, disk=None, seed=False, start=False
+                )
                 definition = defineMock.call_args_list[0][0][0]
-                self.assertFalse('<interface' in definition)
-                self.assertFalse('<disk' in definition)
+                self.assertFalse("<interface" in definition)
+                self.assertFalse("<disk" in definition)
 
                 # Ensure the init() function allows creating VM without NIC and
                 # disk but with boot parameters.
@@ -1131,56 +1543,60 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 defineMock.reset_mock()
                 mock_run.reset_mock()
                 boot = {
-                    'kernel': '/root/f8-i386-vmlinuz',
-                    'initrd': '/root/f8-i386-initrd',
-                    'cmdline':
-                        'console=ttyS0 ks=http://example.com/f8-i386/os/'
+                    "kernel": "/root/f8-i386-vmlinuz",
+                    "initrd": "/root/f8-i386-initrd",
+                    "cmdline": "console=ttyS0 ks=http://example.com/f8-i386/os/",
                 }
-                retval = virt.init('test vm boot params',
-                                   2,
-                                   1234,
-                                   nic=None,
-                                   disk=None,
-                                   seed=False,
-                                   start=False,
-                                   boot=boot)
+                retval = virt.init(
+                    "test vm boot params",
+                    2,
+                    1234,
+                    nic=None,
+                    disk=None,
+                    seed=False,
+                    start=False,
+                    boot=boot,
+                )
                 definition = defineMock.call_args_list[0][0][0]
-                self.assertEqual('<kernel' in definition, True)
-                self.assertEqual('<initrd' in definition, True)
-                self.assertEqual('<cmdline' in definition, True)
+                self.assertEqual("<kernel" in definition, True)
+                self.assertEqual("<initrd" in definition, True)
+                self.assertEqual("<cmdline" in definition, True)
                 self.assertEqual(retval, True)
 
                 # Verify that remote paths are downloaded and the xml has been
                 # modified
                 mock_response = MagicMock()
-                mock_response.read = MagicMock(return_value='filecontent')
+                mock_response.read = MagicMock(return_value="filecontent")
                 cache_dir = tempfile.mkdtemp()
 
-                with patch.dict(virt.__dict__, {'CACHE_DIR': cache_dir}):
-                    with patch('salt.ext.six.moves.urllib.request.urlopen',
-                               MagicMock(return_value=mock_response)):
-                        with patch('salt.utils.files.fopen',
-                                   return_value=mock_response):
+                with patch.dict(virt.__dict__, {"CACHE_DIR": cache_dir}):
+                    with patch(
+                        "salt.ext.six.moves.urllib.request.urlopen",
+                        MagicMock(return_value=mock_response),
+                    ):
+                        with patch(
+                            "salt.utils.files.fopen", return_value=mock_response
+                        ):
 
                             defineMock.reset_mock()
                             mock_run.reset_mock()
                             boot = {
-                                'kernel':
-                                    'https://www.example.com/download/vmlinuz',
-                                'initrd': '',
-                                'cmdline':
-                                    'console=ttyS0 '
-                                    'ks=http://example.com/f8-i386/os/'
+                                "kernel": "https://www.example.com/download/vmlinuz",
+                                "initrd": "",
+                                "cmdline": "console=ttyS0 "
+                                "ks=http://example.com/f8-i386/os/",
                             }
 
-                            retval = virt.init('test remote vm boot params',
-                                               2,
-                                               1234,
-                                               nic=None,
-                                               disk=None,
-                                               seed=False,
-                                               start=False,
-                                               boot=boot)
+                            retval = virt.init(
+                                "test remote vm boot params",
+                                2,
+                                1234,
+                                nic=None,
+                                disk=None,
+                                seed=False,
+                                start=False,
+                                boot=boot,
+                            )
                             definition = defineMock.call_args_list[0][0][0]
                             self.assertEqual(cache_dir in definition, True)
 
@@ -1189,34 +1605,125 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 # Test case creating disks
                 defineMock.reset_mock()
                 mock_run.reset_mock()
-                virt.init('test vm',
-                          2,
-                          1234,
-                          nic=None,
-                          disk=None,
-                          disks=[
-                              {'name': 'system', 'size': 10240},
-                              {'name': 'cddrive', 'device': 'cdrom', 'source_file': None, 'model': 'ide'}
-                          ],
-                          seed=False,
-                          start=False)
+                pool_mock = MagicMock()
+                pool_mock.XMLDesc.return_value = '<pool type="dir"/>'
+                self.mock_conn.storagePoolLookupByName.return_value = pool_mock
+                virt.init(
+                    "test vm",
+                    2,
+                    1234,
+                    nic=None,
+                    disk=None,
+                    disks=[
+                        {"name": "system", "size": 10240},
+                        {
+                            "name": "cddrive",
+                            "device": "cdrom",
+                            "source_file": None,
+                            "model": "ide",
+                        },
+                    ],
+                    seed=False,
+                    start=False,
+                )
                 definition = ET.fromstring(defineMock.call_args_list[0][0][0])
-                disk_sources = [disk.find('source').get('file') if disk.find('source') is not None else None
-                                for disk in definition.findall('./devices/disk')]
-                expected_disk_path = os.path.join(root_dir, 'test vm_system.qcow2')
-                self.assertEqual(disk_sources, [expected_disk_path, None])
-                self.assertEqual(mock_run.call_args[0][0],
-                                 'qemu-img create -f qcow2 "{0}" 10240M'.format(expected_disk_path))
+                expected_disk_path = os.path.join(root_dir, "test vm_system.qcow2")
+                self.assertEqual(
+                    expected_disk_path,
+                    definition.find("./devices/disk[1]/source").get("file"),
+                )
+                self.assertIsNone(definition.find("./devices/disk[2]/source"))
+                self.assertEqual(
+                    mock_run.call_args[0][0],
+                    'qemu-img create -f qcow2 "{0}" 10240M'.format(expected_disk_path),
+                )
                 self.assertEqual(mock_chmod.call_args[0][0], expected_disk_path)
 
+                # Test case creating disks volumes
+                defineMock.reset_mock()
+                mock_run.reset_mock()
+                vol_mock = MagicMock()
+                pool_mock.storageVolLookupByName.return_value = vol_mock
+                pool_mock.listVolumes.return_value = ["test vm_data"]
+                stream_mock = MagicMock()
+                self.mock_conn.newStream.return_value = stream_mock
+                self.mock_conn.listStoragePools.return_value = ["default", "test"]
+                with patch.dict(
+                    os.__dict__, {"open": MagicMock(), "close": MagicMock()}
+                ):
+                    cache_mock = MagicMock()
+                    with patch.dict(virt.__salt__, {"cp.cache_file": cache_mock}):
+                        virt.init(
+                            "test vm",
+                            2,
+                            1234,
+                            nic=None,
+                            disk=None,
+                            disks=[
+                                {
+                                    "name": "system",
+                                    "size": 10240,
+                                    "image": "/path/to/image",
+                                    "pool": "test",
+                                },
+                                {"name": "data", "size": 10240, "pool": "default"},
+                                {
+                                    "name": "test",
+                                    "size": 1024,
+                                    "pool": "default",
+                                    "format": "qcow2",
+                                    "backing_store_path": "/backing/path",
+                                    "backing_store_format": "raw",
+                                },
+                            ],
+                            seed=False,
+                            start=False,
+                        )
+                        definition = ET.fromstring(defineMock.call_args_list[0][0][0])
+                        self.assertTrue(
+                            all(
+                                [
+                                    disk.get("type") == "volume"
+                                    for disk in definition.findall("./devices/disk")
+                                ]
+                            )
+                        )
+                        self.assertEqual(
+                            ["test", "default", "default"],
+                            [
+                                src.get("pool")
+                                for src in definition.findall("./devices/disk/source")
+                            ],
+                        )
+                        self.assertEqual(
+                            ["test vm_system", "test vm_data", "test vm_test"],
+                            [
+                                src.get("volume")
+                                for src in definition.findall("./devices/disk/source")
+                            ],
+                        )
+
+                        create_calls = pool_mock.createXML.call_args_list
+                        vol_names = [
+                            ET.fromstring(call[0][0]).find("name").text
+                            for call in create_calls
+                        ]
+                        self.assertEqual(
+                            ["test vm_system", "test vm_test"], vol_names,
+                        )
+
+                        stream_mock.sendAll.assert_called_once()
+                        stream_mock.finish.assert_called_once()
+                        vol_mock.upload.assert_called_once_with(stream_mock, 0, 0, 0)
+
     def test_update(self):
-        '''
+        """
         Test virt.update()
-        '''
-        root_dir = os.path.join(salt.syspaths.ROOT_DIR, 'srv', 'salt-images')
-        xml = '''
+        """
+        root_dir = os.path.join(salt.syspaths.ROOT_DIR, "srv", "salt-images")
+        xml = """
             <domain type='kvm' id='7'>
-              <name>my vm</name>
+              <name>my_vm</name>
               <memory unit='KiB'>1048576</memory>
               <currentMemory unit='KiB'>1048576</currentMemory>
               <vcpu placement='auto'>1</vcpu>
@@ -1226,20 +1733,33 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
               <devices>
                 <disk type='file' device='disk'>
                   <driver name='qemu' type='qcow2'/>
-                  <source file='{0}{1}my vm_system.qcow2'/>
+                  <source file='{0}{1}my_vm_system.qcow2'/>
                   <backingStore/>
                   <target dev='vda' bus='virtio'/>
                   <alias name='virtio-disk0'/>
                   <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
                 </disk>
-                <disk type='file' device='disk'>
+                <disk type='volume' device='disk'>
                   <driver name='qemu' type='qcow2'/>
-                  <source file='{0}{1}my vm_data.qcow2'/>
+                  <source pool='default' volume='my_vm_data'/>
                   <backingStore/>
                   <target dev='vdb' bus='virtio'/>
                   <alias name='virtio-disk1'/>
                   <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x1'/>
                 </disk>
+                <disk type="network" device="disk">
+                  <driver name='raw' type='qcow2'/>
+                  <source protocol='rbd' name='libvirt-pool/my_vm_data2'>
+                    <host name='ses2.tf.local'/>
+                    <host name='ses3.tf.local' port='1234'/>
+                    <auth username='libvirt'>
+                      <secret type='ceph' usage='pool_test-rbd'/>
+                    </auth>
+                  </source>
+                  <target dev='vdc' bus='virtio'/>
+                  <alias name='virtio-disk2'/>
+                  <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x2'/>
+                </disk>
                 <interface type='network'>
                   <mac address='52:54:00:39:02:b1'/>
                   <source network='default' bridge='virbr0'/>
@@ -1266,78 +1786,142 @@ class VirtTestCase(TestCase, LoaderModuleMockMixin):
                 </video>
               </devices>
             </domain>
-        '''.format(root_dir, os.sep)
-        domain_mock = self.set_mock_vm('my vm', xml)
-        domain_mock.OSType = MagicMock(return_value='hvm')
+        """.format(
+            root_dir, os.sep
+        )
+        domain_mock = self.set_mock_vm("my_vm", xml)
+        domain_mock.OSType = MagicMock(return_value="hvm")
         define_mock = MagicMock(return_value=True)
         self.mock_conn.defineXML = define_mock
 
         # No parameter passed case
-        self.assertEqual({
-                'definition': False,
-                'disk': {'attached': [], 'detached': []},
-                'interface': {'attached': [], 'detached': []}
-            }, virt.update('my vm'))
+        self.assertEqual(
+            {
+                "definition": False,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update("my_vm"),
+        )
 
         # Same parameters passed than in default virt.defined state case
-        self.assertEqual({
-                'definition': False,
-                'disk': {'attached': [], 'detached': []},
-                'interface': {'attached': [], 'detached': []}
-            }, virt.update('my vm',
-                           cpu=None,
-                           mem=None,
-                           disk_profile=None,
-                           disks=None,
-                           nic_profile=None,
-                           interfaces=None,
-                           graphics=None,
-                           live=True,
-                           connection=None,
-                           username=None,
-                           password=None,
-                           boot=None))
+        self.assertEqual(
+            {
+                "definition": False,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update(
+                "my_vm",
+                cpu=None,
+                mem=None,
+                disk_profile=None,
+                disks=None,
+                nic_profile=None,
+                interfaces=None,
+                graphics=None,
+                live=True,
+                connection=None,
+                username=None,
+                password=None,
+                boot=None,
+            ),
+        )
 
         # Update vcpus case
         setvcpus_mock = MagicMock(return_value=0)
         domain_mock.setVcpusFlags = setvcpus_mock
-        self.assertEqual({
-                'definition': True,
-                'cpu': True,
-                'disk': {'attached': [], 'detached': []},
-                'interface': {'attached': [], 'detached': []}
-            }, virt.update('my vm', cpu=2))
+        self.assertEqual(
+            {
+                "definition": True,
+                "cpu": True,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update("my_vm", cpu=2),
+        )
         setxml = ET.fromstring(define_mock.call_args[0][0])
-        self.assertEqual(setxml.find('vcpu').text, '2')
+        self.assertEqual(setxml.find("vcpu").text, "2")
         self.assertEqual(setvcpus_mock.call_args[0][0], 2)
 
         boot = {
-            'kernel': '/root/f8-i386-vmlinuz',
-            'initrd': '/root/f8-i386-initrd',
-            'cmdline':
-                'console=ttyS0 ks=http://example.com/f8-i386/os/'
+            "kernel": "/root/f8-i386-vmlinuz",
+            "initrd": "/root/f8-i386-initrd",
+            "cmdline": "console=ttyS0 ks=http://example.com/f8-i386/os/",
+        }
+
+        boot_uefi = {
+            "loader": "/usr/share/OVMF/OVMF_CODE.fd",
+            "nvram": "/usr/share/OVMF/OVMF_VARS.ms.fd",
+        }
+
+        invalid_boot = {
+            "loader": "/usr/share/OVMF/OVMF_CODE.fd",
+            "initrd": "/root/f8-i386-initrd",
         }
 
         # Update with boot parameter case
-        self.assertEqual({
-                'definition': True,
-                'disk': {'attached': [], 'detached': []},
-                'interface': {'attached': [], 'detached': []}
-            }, virt.update('my vm', boot=boot))
+        self.assertEqual(
+            {
+                "definition": True,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update("my_vm", boot=boot),
+        )
+        setxml = ET.fromstring(define_mock.call_args[0][0])
+        self.assertEqual(setxml.find("os").find("kernel").text, "/root/f8-i386-vmlinuz")
+        self.assertEqual(setxml.find("os").find("initrd").text, "/root/f8-i386-initrd")
+        self.assertEqual(
+            setxml.find("os").find("cmdline").text,
+            "console=ttyS0 ks=http://example.com/f8-i386/os/",
+        )
+        setxml = ET.fromstring(define_mock.call_args[0][0])
+        self.assertEqual(setxml.find("os").find("kernel").text, "/root/f8-i386-vmlinuz")
+        self.assertEqual(setxml.find("os").find("initrd").text, "/root/f8-i386-initrd")
+        self.assertEqual(
+            setxml.find("os").find("cmdline").text,
+            "console=ttyS0 ks=http://example.com/f8-i386/os/",
+        )
+
+        self.assertEqual(
+            {
+                "definition": True,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update("my_vm", boot=boot_uefi),
+        )
+        setxml = ET.fromstring(define_mock.call_args[0][0])
+        self.assertEqual(
+            setxml.find("os").find("loader").text, "/usr/share/OVMF/OVMF_CODE.fd"
+        )
+        self.assertEqual(setxml.find("os").find("loader").attrib.get("readonly"), "yes")
+        self.assertEqual(setxml.find("os").find("loader").attrib["type"], "pflash")
+        self.assertEqual(
+            setxml.find("os").find("nvram").attrib["template"],
+            "/usr/share/OVMF/OVMF_VARS.ms.fd",
+        )
+
+        with self.assertRaises(SaltInvocationError):
+            virt.update("my_vm", boot=invalid_boot)
 
         # Update memory case
         setmem_mock = MagicMock(return_value=0)
         domain_mock.setMemoryFlags = setmem_mock
 
-        self.assertEqual({
-                'definition': True,
-                'mem': True,
-                'disk': {'attached': [], 'detached': []},
-                'interface': {'attached': [], 'detached': []}
-            }, virt.update('my vm', mem=2048))
+        self.assertEqual(
+            {
+                "definition": True,
+                "mem": True,
+                "disk": {"attached": [], "detached": [], "updated": []},
+                "interface": {"attached": [], "detached": []},
+            },
+            virt.update("my_vm", mem=2048),
+        )
         setxml = ET.fromstring(define_mock.call_args[0][0])
-        self.assertEqual(setxml.find('memory').text, '2048')
-        self.assertEqual(setxml.find('memory').get('unit'), 'MiB')
+        self.assertEqual(setxml.find("memory").text, "2048")
+        self.assertEqual(setxml.find("memory").get("unit"), "MiB")
         self.assertEqual(setmem_mock.call_args[0][0], 2048 * 1024)
 
         # Update disks case
